<?php 



require_once "../modelos/Pagocliente.php";
if (strlen(session_id())<1) 
	session_start();
$pagocliente	=	new Pagocliente();

$idpagocliente		=	isset($_POST["idpagocliente"])? limpiarCadena($_POST["idpagocliente"]):"";
$idformapago			=	isset($_POST["idformapago"])? limpiarCadena($_POST["idformapago"]):"";
$idpersona				=	isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$idpersonap				=	isset($_POST["idpersonap"])? limpiarCadena($_POST["idpersonap"]):"";
$idtipopagos			=	isset($_POST["idtipopagos"])? limpiarCadena($_POST["idtipopagos"]):"";
$idbancocuenta		=	isset($_POST["idbancocuenta"])? limpiarCadena($_POST["idbancocuenta"]):"";
$idbancocuentap		=	isset($_POST["idbancocuentap"])? limpiarCadena($_POST["idbancocuentap"]):"";
$referencia				=	isset($_POST["referencia"])? limpiarCadena($_POST["referencia"]):"";
$tasacambioventa	=	isset($_POST["tasacambioventa"])? limpiarCadena($_POST["tasacambioventa"]):"";
$idusuario				= $_SESSION["idusuario"];
$idpersonap				=	isset($_POST["idpersonap"])? limpiarCadena($_POST["idpersonap"]):"";
//$montopago		=	isset($_POST["montopago"])? limpiarCadena($_POST["montopago"]):"";
$montopago			=	isset($_POST["total_pago"])? limpiarCadena($_POST["total_pago"]):"";
$total_pago			=	isset($_POST["total_pago"])? limpiarCadena($_POST["total_pago"]):"";
$total_pagob		=	isset($_POST["total_pagob"])? limpiarCadena($_POST["total_pagob"]):"";
$total_pagov		=	isset($_POST["montopago"])? limpiarCadena($_POST["montopago"]):"";
$total_pagovb		=	isset($_POST["montopagob"])? limpiarCadena($_POST["montopagob"]):"";
$diferencia			=	isset($_POST["diferencia"])? limpiarCadena($_POST["diferencia"]):"";
$fecha_hora			=	isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$fecha_horap		=	isset($_POST["fecha_horap"])? limpiarCadena($_POST["fecha_horap"]):"";
$agenteretencion=	isset($_POST["agenteretencion"])? limpiarCadena($_POST["agenteretencion"]):"";
//$idusuario			=	isset($_POST["idusuario"])? limpiarCadena($_POST["idusuario"]):"";

//Nota de Crédito
$tiponotacredito	=	isset($_POST["tiponotacredito"])? limpiarCadena($_POST["tiponotacredito"]):"";
$notacredito		=	isset($_POST["notacredito"])? limpiarCadena($_POST["notacredito"]):"";

/*bade de datos
idpagocliente,  idcliente, idformapago, idusuario, idtipopagos, idbancocuenta, 
referencia, fecha_hora, total_pago, retencion, estado
/* 
iddocumento[] num_comprobante[] tipo_comprobante[] montod[] abono[] pendiente[] estado[] pago[] 
$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"], $_POST["abono"]
$_POST["pendiente"], $_POST["estado"], $_POST["pago"]
*/ 


switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idpagocliente)) {
			$rspta=$pagocliente->insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos"; 
		}else{
			$rspta=$pagocliente->editar($idpagocliente,$idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodb"] ,$_POST["abono"],
			$_POST["pendiente"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		} 
	break;

	case 'guardaryeditarfueraruta':
		if (empty($idpagocliente)) {
			$rspta=$pagocliente->insertarfueraruta($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos"; 
		}else{
			$rspta=$pagocliente->editarfueraruta($idpagocliente,$idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodb"] ,$_POST["abono"],
			$_POST["pendiente"],$_POST["estado"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		} 
		/* ($idpagocliente,$idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,$iddocumento, $num_comprobante, $tipo_comprobante, $montod,$montodb, $abono,$pendiente, $estado) */
	break;

	case 'guardaryeditarv':
		if (empty($idpagocliente)) {
			/* $rspta=$pagocliente->insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos"; */
			echo "Insertar";
			//Pagocliente->editar('1', '', '2', '', '1', '1-Dollar', '455555', '', '', '', '4,43', '', Array, Array, Array, Array, Array, Array, Array) 
		}else{
			$rspta=$pagocliente->editarv($idpagocliente,$idpersonap,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_horap,
			$total_pagov,$total_pagovb,$tasacambioventa,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodb"] ,$_POST["abono"],
			$_POST["pendiente"],$_POST["idcobrocliente"],$_POST["iddetalle_cobro"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		//	echo "Editar";
		} 
	break;

	case 'guardaryeditarvv':
		if (empty($idpagocliente)) {
			/* $rspta=$pagocliente->insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos"; */
			echo "Insertar";
			//Pagocliente->editar('1', '', '2', '', '1', '1-Dollar', '455555', '', '', '', '4,43', '', Array, Array, Array, Array, Array, Array, Array) 
		}else{
			$rspta=$pagocliente->editarvv($idpagocliente,$idpersonap,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_horap,
			$total_pagov,$total_pagovb,$tasacambioventa,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodb"] ,$_POST["abono"],
			$_POST["pendiente"],$_POST["idcobrocliente"],$_POST["iddetalle_cobro"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		//	echo "Editar";
		} 
	break;
    
    /*
	case 'guardaryeditarvendedorruta':
		if (empty($idpagocliente)) {
			$rspta=$pagocliente->insertarvendedorruta($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$pagocliente->editar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	*/

	case 'guardaryeditarretencion':
		if (empty($idpagocliente)) {
			$rspta=$pagocliente->insertarretencion($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos"; 
		}else{
			$rspta=$pagocliente->editarretencion($idpagocliente,$idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodb"] ,$_POST["abono"],
			$_POST["pendiente"],$_POST["estado"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
			/* ($idpagocliente,$idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,$iddocumento, $num_comprobante, $tipo_comprobante, $montod,$montodb, $abono,$pendiente, $estado) */
		} 
	break;

	case 'eliminar':
		$rspta=$pagocliente->eliminar($idpersona);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'anular':
		$rspta=$pagocliente->anular($idpagocliente);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'eliminarp':
		$rspta=$pagocliente->eliminarp($idpagocliente);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
	
	case 'mostrar':
		$rspta=$pagocliente->mostrar($idpagocliente);
		echo json_encode($rspta);
	break;

	case 'mostrarcv':
		$rspta=$pagocliente->mostrarcv($idpagocliente);
		echo json_encode($rspta);
	break;

	case 'mostrarcv1':
		$rspta=$pagocliente->mostrarcv1($idpagocliente);
		echo json_encode($rspta);
	break;

	case 'procesarp':
		$rspta=$pagocliente->procesarp($idpagocliente,$tasacambioventa);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar el pago";
	//	echo $rspta;
	break;

	case 'listarp':
		$rspta=$pagocliente->listarp();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->tipo_documento,
						"3"=>$reg->num_documento,
						"4"=>$reg->telefono,
						"5"=>$reg->email
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listar':
		$rspta=$pagocliente->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-eye"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->num_documento,
            "3"=>$reg->telefono
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarpagovendedores':
		$rspta=$pagocliente->listarpagovendedores();
		$data=Array();
		/* <th>Opciones</th>
                          <th>Fecha</th>
                          <th>Vendedor</th>
                          <th>Cliente</th>
                          <th>Cuenta</th>
                          <th>FormaPago</th>
                          <th>Referencia</th>
                          <th>Monto Bs</th>
                          <th>Monto $</th>
                          <th>Estado</th> */
		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Anulado') {
				$boton ='<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>';
				$estado = '<span class="badge bg-red">Anulado</span>';
			}else{
				$boton =
				//'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
				'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
				'<button class="btn bg-olive btn-xs" onclick="procesarp('.$reg->idcobrocliente.','.$reg->tasacambioventa.')"><i class="fas fa-level-down"></i></button>'.' '.
				'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->idcobrocliente.')"><i class="fa fa-times"></i></button>';
				$estado = '<span class="badge bg-green">Procesado</span>';
			}

			$data[]=array(
                        "0"=>'<div align="center">'.$boton.'</div>',
                        "1"=>'<div align="center">'.$reg->fecha.'</div>',
                        "2"=>'<div align="left">'.$reg->usuario.'</div>',
                        "3"=>'<div align="left">'.$reg->cliente.'</div>',
						//"4"=>$reg->cuenta,
						"4"=>'<div align="center">'.$reg->formapago.'</div>',
						"5"=>'<div align="center">'.$reg->referencia.'</div>',
						"6"=>'<div align="right">'.$reg->total_pagob.'</div>',
						"7"=>'<div align="right">'.$reg->total_pago.'</div>',
						"8"=>'<div align="center">'.$estado.'</div>',
						"9"=>$reg->idcobrocliente,
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

    /*
	case 'listarpagovendedores1':
		$rspta=$pagocliente->listarpagovendedores1();
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
			
			if ($reg->estado=='Anulado') {
				$boton ='<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>';
				$estado = '<span class="badge bg-red">Anulado</span>';
			}else{
				$boton ='<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
				'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
				'<button class="btn btn-primary btn-xs" onclick="procesarp('.$reg->idcobrocliente.','.$reg->tasacambioventa.')"><i class="fa fa-sticky-note"></i></button>'.' '.
				'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->idcobrocliente.')"><i class="fa fa-times"></i></button>';
				$estado = '<span class="badge bg-green">Procesado</span>';
			}

			$data[]=array(
            "0"=>$boton,
            "1"=>date("d-m-Y", strtotime($reg->fecha)),
            "2"=>$reg->usuario,
            "3"=>$reg->cliente,
						"4"=>$reg->cuenta,
						"5"=>$reg->formapago,
						"6"=>$reg->referencia,
						"7"=>$reg->total_pagob,
						"8"=>$reg->total_pago,
						"9"=>$estado,
						"10"=>$reg->idcobrocliente,
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	*/
	
	case 'listarpagovendedores1':
		$rspta=$pagocliente->listarpagovendedores1();
		$data=Array();
		/* <th>Opciones</th>
                          <th>Fecha</th>
                          <th>Vendedor</th>
                          <th>Cliente</th>
                          <th>Cuenta</th>
                          <th>FormaPago</th>
                          <th>Referencia</th>
                          <th>Monto Bs</th>
                          <th>Monto $</th>
                          <th>Estado</th> */
		while ($reg=$rspta->fetch_object()) {
			//style="text-align:left;width:120px"
			if ($reg->estado=='Anulado') {
				$boton ='<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>';
				$estado = '<span class="badge bg-red">Anulado</span>';
			}else{
				$boton ='<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
				'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
				'<button class="btn btn-primary btn-xs" onclick="procesarp('.$reg->idcobrocliente.','.$reg->tasacambioventa.')"><i class="fa fa-sticky-note"></i></button>'.' '.
				'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->idcobrocliente.')"><i class="fa fa-times"></i></button>';
				$estado = '<span class="badge bg-green">Procesado</span>';
			}
			$cliente = $reg->cliente.' CXC: '.$reg->nroscxc;
			if($reg->nrosfacturas!='') {
				$cliente = $cliente.' Fac: '.$reg->nrosfacturas;
			}
			$data[]=array(
            "0"=>$boton,
            "1"=>'<div align="center">'.date("d-m-Y", strtotime($reg->fecha)).'</div>',
            "2"=>'<div align="left">'.$reg->usuario.'</div>',
            "3"=>'<div align="left">'.$cliente.'</div>',
			"4"=>'<div align="left">'.$reg->cuenta.'</div>',
						"5"=>'<div align="left">'.$reg->formapago.'</div>',
						"6"=>'<div align="left">'.$reg->referencia, // oculto
						"7"=>$reg->total_pagob, // oculto
						"8"=>'<div align="right">'.$reg->total_pago.'</div>',
						"9"=>$estado, //oculto
						"10"=>$reg->idcobrocliente, //oculto
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'mostrarcobros':
		$iddocumento			= $_POST["iddocumento"];
		$rspta						=$pagocliente->mostrarcobros($iddocumento);
	 	$data							=Array();

		while ($reg=$rspta->fetch_object()) {
			$retencion 	= $reg->referencia;
			$abono			= $reg->abono;
			$estado 		= '<span class="badge bg-blue">'.$retencion.'</span>';
			if ($reg->estado=='Retencion') {
				$retencion = 'Rentencíon Nro. - '.$retencion;
				$abono		 = $abono*-1;
				$estado 	 = '<span class="badge bg-red">'.$retencion.'</span>';
			}
			
			$data[]=array(
            "0"=>$reg->fecha,
            "1"=>$estado,
            "2"=>$reg->cuenta,
						"3"=>$reg->formapago,
						"4"=>number_format($abono,2,',','.'),
						"5"=>$reg->tasacambioventa
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data);  
			
		echo json_encode($results);
	break;
	
	//Modulo de Chocomilk y Bocatto
	case 'listarpagovendedoresc':
		$rspta=$pagocliente->listarpagovendedores();
		$data=Array();
		/* <th>Opciones</th>
                          <th>Fecha</th>
                          <th>Vendedor</th>
                          <th>Cliente</th>
                          <th>Cuenta</th>
                          <th>FormaPago</th>
                          <th>Referencia</th>
                          <th>Monto Bs</th>
                          <th>Monto $</th>
                          <th>Estado</th> */
		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Anulado') {
				$boton ='<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>';
				$estado='<span class="badge bg-red">Anulado</span>';
			}else{
				if($reg->estado=='Procesado'){
					$boton =
				'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
				//'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
				'<button class="btn bg-purple btn-xs" onclick="procesarpq('.$reg->idcobrocliente.','.$reg->tasacambioventa.')"><i class="fa fa-mail-reply"></i></button>'.' '.
				'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->idcobrocliente.')"><i class="fa fa-times"></i></button>';
				$estado='<span class="badge bg-green">Validado</span>';
				}else{
					$boton =
					//'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
					'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
					'<button class="btn bg-olive btn-xs" onclick="procesarp('.$reg->idcobrocliente.','.$reg->tasacambioventa.')"><i class="fas fa-mail-forward"></i></button>'.' '.
					'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->idcobrocliente.')"><i class="fa fa-times"></i></button>';
					$estado='<span class="badge bg-orange">Por Validar</span>';
				}
				
				
				
			}

			


			if($reg->formapago=='TRANSFERENCIA'){
				$montob = $reg->total_pagob;
				$montod = 0;
				$forma  = '<span class="badge bg-blue">'.$reg->formapago.'</span>';
			}else{
				$montob = 0;
				$montod = $reg->total_pago;
				$forma  = '<span class="badge bg-navy">'.$reg->formapago.'</span>';
			}

			$data[]=array(
						"0"=>'<div align="center">'.$boton.'</div>',
						"1"=>'<div align="center">'.$reg->fecha.'</div>',
						"2"=>'<div align="left">'.$reg->usuario.'</div>',
						"3"=>'<div align="left">'.$reg->vendedor.'</div>',
						"4"=>'<div align="left">'.$reg->cliente.'</div>',
						"5"=>'<div align="center">'.$forma.'</div>',
						"6"=>'<div align="center">'.$reg->cuenta.'</div>',
						"7"=>'<div align="center">'.$reg->cxc.'</div>',
						"8"=>'<div align="center">'.$reg->referencia.'</div>',
						"9"=>'<div align="Right">'.$montob.'</div>',
						"10"=>'<div align="Right">'.$montod.'</div>',
						"11"=>'<div align="center">'.$estado.'</div>',
						"12"=>'<div align="center">'.$reg->idcobrocliente.'</div>',
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;		
	
	case 'procesarpc':
		$rspta=$pagocliente->procesarpc($idpagocliente,$tasacambioventa);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar el pago";
	//	echo $rspta;
	break;

	case 'procesarpcq':
		$rspta=$pagocliente->procesarpcq($idpagocliente,$tasacambioventa);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar el pago";
	//	echo $rspta;
	break;
	
	//Nuevo Chocomilk y Bocatto
	//Modulo de Cuentas por Cobrar
	case 'listarnotacreditovendedores':
		$rspta=$pagocliente->listarnotacreditovendedores();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			if ($reg->estadonc=='NoAplica') {
				//$boton ='<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>';
				$boton = '-';
				$estado='<span class="badge bg-navy">No Procede</span>';
			}else{
				if($reg->estadonc=='Validado'){
					$boton =
				//'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
				//'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
				'<button class="btn bg-purple btn-xs" onclick="procesarpq('.$reg->iddetalle_cobro.')"><i class="fa fa-mail-reply"></i></button>';
				//'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->idcobrocliente.')"><i class="fa fa-times"></i></button>';
				$estado='<span class="badge bg-green">Validado</span>';
				}else{
				    if($reg->estadonc=='Procesada'){
        					$boton = '-';
        				//'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
        				//'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
        				//'<button class="btn bg-purple btn-xs" onclick="procesarpq('.$reg->iddetalle_cobro.')"><i class="fa fa-mail-reply"></i></button>';
        				//'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->idcobrocliente.')"><i class="fa fa-times"></i></button>';
        				$estado='<span class="badge bg-blue">Aplicada</span>';
				    }else{
				        $boton =
    					//'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
    					'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->iddetalle_cobro.','.$reg->montonc.',\''.$reg->cliente.'\',\''.$reg->cxc.'\',\''.$reg->num_factura.'\',\''.$reg->tiponotacredito.'\')"><i class="fa fa-pencil"></i></button>'.' '.
    					'<button class="btn bg-olive btn-xs" onclick="procesarp('.$reg->iddetalle_cobro.')"><i class="fas fa-mail-forward"></i></button>'.' '.
    					'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->iddetalle_cobro.')"><i class="fa fa-times"></i></button>';
    					$estado='<span class="badge bg-red">Pendiente</span>';   
				    }
					
				}
				
				
				
			}

			$data[]=array(
						"0"=>'<div align="center">'.$boton.'</div>',
						"1"=>'<div align="center">'.$reg->fecha.'</div>',
						"2"=>'<div align="left">'.$reg->usuario.'</div>',
						"3"=>'<div align="left">'.$reg->vendedor.'</div>',
						"4"=>'<div align="left">'.$reg->cliente.'</div>',
						"5"=>'<div align="center">'.$reg->cxc.'</div>',
						"6"=>'<div align="center">'.$reg->num_factura.'</div>',
						/* "7"=>'<div align="right">'.$reg->totaldocumento.'</div>',
						"8"=>'<div align="right">'.$reg->saldo.'</div>',
						"9"=>'<div align="right">'.$reg->pago.'</div>', */
						"7"=>'<div align="center">'.$reg->tiponotacredito.'</div>',
						"8"=>'<div align="right">'.$reg->montonc.'</div>',
						"9"=>'<div align="center">'.$estado.'</div>',
						
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
		
	
	
	//Modulo de venta
	case 'listarnotacreditovendedoresv':
		$rspta=$pagocliente->listarnotacreditovendedoresv();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			//,\''.$reg->nombre.'\'
			if($reg->estadonc=='Validado'){
				$boton =
				//'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
				//'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
				
				'<button class="btn bg-orange btn-xs"
				 	onclick="procesarnc(
										'.$reg->idcliente.',
										'.$reg->idusuario.',
										'.$reg->idvendedor.',
										'.$reg->idservicio.',
										'.$reg->idventa.',
										\''.$reg->tipo_comprobante.'\',
										\''.$reg->fecha_hora.'\',
										'.$reg->total_venta.',
										'.$reg->total_ventad.',
										'.$reg->tasa_dollar.',
										'.$reg->idclientedespacho.',
										\''.$reg->observacion.'\',
										'.$reg->idarticulo.',
										\''.$reg->idalmacen.'\',
										'.$reg->cantidad.',
										'.$reg->precio_venta.',
										'.$reg->precio_ventad.',
										\''.$reg->nrolote.'\',
										'.$reg->porcentaje.',
										'.$reg->subtotald.',
										'.$reg->iddetalle_cobro.',
										\''.$reg->tiponotacredito.'\',
										'.$reg->totalncd.'
										)">
				Pr
				</button>'.' '.
				'<button class="btn bg-olive btn-xs" onclick="procesarpv('.$reg->iddetalle_cobro.')"><i class="fa fa-mail-forward"></i></button>';
				$estado='<span class="badge bg-green">Validado</span>';
			}else{
				$boton =
				//'<button class="btn btn-info btn-xs" onclick="mostrarc('.$reg->idcobrocliente.')"><i class="fa fa-eye"></i></button>'.' '.
				//'<button class="btn btn-warning btn-xs" onclick="mostrarcm('.$reg->idcobrocliente.')"><i class="fa fa-pencil"></i></button>'.' '.
				'<button class="btn bg-blue btn-xs" onclick="procesarpqv('.$reg->iddetalle_cobro.')"><i class="fa fa-mail-reply"></i></button>';
				//'<button class="btn btn-danger btn-xs" onclick="anularp('.$reg->iddetalle_cobro.')"><i class="fa fa-times"></i></button>';
				$estado='<span class="badge bg-blue">Procesada</span>';
			}


			

			$data[]=array(
						"0"=>'<div align="center">'.$boton.'</div>',
						"1"=>'<div align="center">'.$reg->fecha.'</div>',
						"2"=>'<div align="left">'.$reg->usuario.'</div>',
						"3"=>'<div align="left">'.$reg->vendedor.'</div>',
						"4"=>'<div align="left">'.$reg->cliente.'</div>',
						"5"=>'<div align="center">'.$reg->cxc.'</div>',
						"6"=>'<div align="center">'.$reg->num_factura.'</div>',
						/* "7"=>'<div align="right">'.$reg->totaldocumento.'</div>',
						"8"=>'<div align="right">'.$reg->saldo.'</div>',
						"9"=>'<div align="right">'.$reg->pago.'</div>', */
						"7"=>'<div align="center">'.$reg->tiponotacredito.'</div>',
						"8"=>'<div align="right">'.$reg->montonc.'</div>',
						"9"=>'<div align="center">'.$estado.'</div>',
						
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'procesarncv':
		$iddetalle_cobro = $_POST["iddetalle_cobro"];
		$rspta=$pagocliente->procesarncv($iddetalle_cobro,$idusuario);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar la Nota de Crédito";
	//	echo $rspta;
	break;

	case 'procesarncvno':
		$iddetalle_cobro = $_POST["iddetalle_cobro"];
		$rspta=$pagocliente->procesarncvno($iddetalle_cobro,$idusuario);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar la Nota de Crédito";
	//	echo $rspta;
	break;

	case 'anularnc':
		$iddetalle_cobro = $_POST["iddetalle_cobro"];
		$rspta=$pagocliente->anularnc($iddetalle_cobro,$idusuario);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar la Nota de Crédito";
	//	echo $rspta;
	break;

	case 'procesarncvv':
		$iddetalle_cobro = $_POST["iddetalle_cobro"];
		$rspta=$pagocliente->procesarncvv($iddetalle_cobro,$idusuario);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar la Nota de Crédito";
	//	echo $rspta;
	break;

	case 'procesarncvnov':
		$iddetalle_cobro = $_POST["iddetalle_cobro"];
		$rspta=$pagocliente->procesarncvnov($iddetalle_cobro,$idusuario);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar la Nota de Crédito";
	//	echo $rspta;
	break;

	/* 
	iddetalle_cobrom: iddetalle_cobrom,
              montoncm:montoncm,
              tiponcm:tiponcm
	*/
	case 'actualizarnc':
		$iddetalle_cobro = $_POST["iddetalle_cobrom"];
		$montoncm = $_POST["montoncm"];
		$tiponcm = $_POST["tiponcm"];

		$rspta=$pagocliente->actualizarnc($iddetalle_cobro,$montoncm,$tiponcm,$idusuario);
		echo $rspta ? "Datos procesado correctamente" : "No se pudo procesar la Nota de Crédito";
	//	echo $rspta;
	break;
	
	
	
	
	case 'guardaryeditarvendedorruta':
	
		if (empty($idpagocliente)) {
			$rspta=$pagocliente->insertarvendedorruta($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,$notacredito,$tiponotacredito,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"],$_POST["notacreditode"],$_POST["montonc"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$pagocliente->editar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,$notacredito,$tiponotacredito,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"],$_POST["notacreditode"],$_POST["montonc"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

} 
?>